Bug 498870 - fence_drac5 help output shows incorrect usage
fence_drac5 help output shows incorrect usage
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: fence (Show other bugs)
4
All Linux
low Severity low
: ---
: ---
Assigned To: Marek Grac
Cluster QE
:
Depends On: 498329
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-04 03:26 EDT by Marek Grac
Modified: 2016-04-26 09:48 EDT (History)
4 users (show)

See Also:
Fixed In Version: fence-1.32.68-5.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 498329
Environment:
Last Closed: 2011-02-16 11:14:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Grac 2009-05-04 03:26:45 EDT
+++ This bug was initially created as a clone of Bug #498329 +++

Description of problem: The fence_drac5 fencing agent shows two different -D options in the help output:

# fence_drac5 -h 2>&1 | grep "\-D"
   -D <version>   Force DRAC version to use
   -D <debugfile> Debugging to output file

This is because fence_drac5 enables both the debug and drac_version options in the fencing library:

        device_opt = [  "help", "version", "agent", "quiet", "verbose", "debug",
                        "action", "ipaddr", "login", "passwd", "passwd_script",
                        "cmd_prompt", "secure",
                        "drac_version", "module_name" ]

And the drac_version help string is incorrect in fencing.py:

	"debug" : {
		"getopt" : "D:",
		"help" : "-D <debugfile> Debugging to output file",
		"order" : 52 },
--
	"drac_version" : {
		"getopt" : "d:",
		"help" : "-D <version>   Force DRAC version to use",
		"order" : 1 },


This should read:

	"drac_version" : {
		"getopt" : "d:",
		"help" : "-d <version>   Force DRAC version to use",
		"order" : 1 },

Note that this doesn't cause any actual problems with the operation of the agent (-d still forces the drac version to use), however it is confusing to users looking at the help message.

Version-Release number of selected component (if applicable): cman-2.0.99-1.el5


How reproducible: Always


Steps to Reproduce:
1. fence_drac5 -h
  
Actual results: Two -D options displayed


Expected results: One -D and one -d displayed
Comment 5 errata-xmlrpc 2011-02-16 11:14:52 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0266.html

Note You need to log in before you can comment on or make changes to this bug.